> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get bulk account settings import request

GET https://api-d.docusign.net/Management/v2/organizations/{organizationId}/imports/account_settings/{importId}

Returns the details/metadata for a Bulk Account Settings Import request.

Given an import ID, this method returns the results of an account settings import request.
To get a list of all the import requests, use `getAccountSettingsImports`.

[Required authentication scopes](/docs/admin-api/admin101/auth/): `account_read`.

Reference: https://developers.docusign.com/docs/admin-api/reference/bulkoperations/accountsettingsimport/getbulkaccountsettingsimport

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization ID Guid
- `importId` (string, required) — The import ID Guid for the request

## Response

### 200

OK

- `created` (datetime, optional)
- `last_modified` (datetime, optional)
- `completed` (datetime, optional)
- `expires` (datetime, optional)
- `percent_completed` (integer, optional)
- `number_processed_accounts` (long, optional)
- `number_unprocessed_accounts` (long, optional)
- `results` (list of OrganizationAccountSettingsImportResultResponse, optional)
- `success` (boolean, optional)
- `skipped_settings_by_account` (map from string to list of string, optional)
- `id` (string, optional)
- `organization_id` (string, optional)
- `status` (string, optional) — Status.
- `type` (string, optional)
- `requestor` (OrganizationAccountSettingsImportRequestorResponse, optional)

## Types

### OrganizationAccountSettingsImportResultResponse

- `id` (string, optional)
- `site_id` (integer, optional)
- `url` (string, optional)
- `number_processed_accounts` (long, optional)
- `error_details` (OASIRR_ErrorDetails, optional)
- `processing_issues_by_account` (list of OASIRR_OrganizationAccountSettingsErrorDataResponse, optional)
- `number_unprocessed_accounts` (long, optional)

### OrganizationAccountSettingsImportRequestorResponse

- `id` (string, optional)
- `type` (string, optional)
- `name` (string, optional)
- `email` (string, optional) — The email address.

### OASIRR_ErrorDetails

- `error` (string, optional) — The error number.
- `error_description` (string, optional) — A longer description of the error.

### OASIRR_OrganizationAccountSettingsErrorDataResponse

- `account_id` (string, optional) — Select users that are members of the specified account. At least one of `email`, `account_id` or `organization_reserved_domain_id` must be specified.
- `account_name` (string, optional)
- `error` (string, optional) — The error number.
- `error_key` (string, optional)
- `setting_key` (string, optional)

## Examples

**Response**

```json
{
  "created": "2024-01-15T09:30:00Z",
  "last_modified": "2024-01-15T09:30:00Z",
  "completed": "2024-01-15T09:30:00Z",
  "expires": "2024-01-15T09:30:00Z",
  "percent_completed": 1,
  "number_processed_accounts": 1,
  "number_unprocessed_accounts": 1,
  "results": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "site_id": 1,
      "url": "string",
      "number_processed_accounts": 1,
      "error_details": {
        "error": "string",
        "error_description": "string"
      },
      "processing_issues_by_account": [
        {
          "account_id": "string",
          "account_name": "string",
          "error": "string",
          "error_key": "string",
          "setting_key": "string"
        }
      ],
      "number_unprocessed_accounts": 1
    }
  ],
  "success": true,
  "skipped_settings_by_account": {},
  "id": "string",
  "organization_id": "string",
  "status": "string",
  "type": "string",
  "requestor": {
    "id": "string",
    "type": "string",
    "name": "string",
    "email": "string"
  }
}
```